#!/bin/bash
# TCP test for Confluence Data Center
# This script tests ongoing network communications on port '8888' (alternate from the hazelcast port 5801 to identify lower layer issues)

# local node's IP (use the IP assigned to the interface configured in confluence.cfg.xml)
localip=10.0.0.1

# Each cluster member node IP (found in confluence.cfg.xml)
remoteip1=10.0.0.2
remoteip2=10.0.0.3
remoteip3=10.0.0.4 
remoteip4=10.0.0.5

#time in seconds between executions
sleep_duration=1

# netcat test:
while : 
do 
  echo "From $localip - $(date)" | nc $remoteip1 8888 
  echo "From $localip - $(date)" | nc $remoteip2 8888 
  echo "From $localip - $(date)" | nc $remoteip3 8888 
  echo "From $localip - $(date)" | nc $remoteip4 8888 
  sleep $sleep_duration 
done 